/* Styles généraux */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #fffff;
}

.containerPanier {
    width: calc(100%-10px);
    margin: 0;
    padding: 10px;
    background-color: transparent ;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-top:60px;
}

h1, h2, h3 {
    text-align: center;
    color: #333;
}

/* Styles pour les produits du panier */
#panier-container{
    display: flex;
    flex-direction: row; /* Affiche les éléments en ligne */
    text-align: center ;
     overflow-x: auto; /* Active le défilement horizontal si nécessaire */
    white-space: normal; /* Empêche le retour à la ligne */
    gap: 10px; /* Optionnel : ajoute un espacement entre les éléments */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
 box-sizing: border-box;   
 border-radius: 10px;
}

.produit-panier {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding: 30px 0;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
 box-sizing: border-box;   
}

.produit-panier img {
    max-width: 150px;
    margin-bottom: 10px;
}

.produit-panier h3 {
    margin: 10px 0;
    color: #070619;
}

.produit-panier p {
    margin: 5px 0;
    color: #070619;
}

/* Conteneur pour la quantité et le bouton supprimer */
.actions {
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: 300px;
    margin-top: 20px;
}

.quantite-input {
    width: calc(100%-20px);
    padding: 10px 20px;
    border-radius: 10px;
}

.produit-panier button {
    padding: 5px 10px;
    background-color: #007bff;
    color: white;
    font-size:20px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    border-radius: 10px;
}

.produit-panier button:hover {
    background-color: #ff1a1a;
}

/* Styles pour le formulaire de commande */
.commande-formulaire {
    margin-top: 30px;
}

.commande-formulaire form {
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
 box-sizing: border-box;   
}

.commande-formulaire label {
    margin-top: 10px;
    color: #555;
}

.commande-formulaire input {
    padding: 15px;
    padding-left:20px ;
    margin-top: 5px;
    width: calc(100%-30px);
    max-width: 400px;
    border-radius: 10px;
}

#finaliser-commande {
    margin-top: 20px;
    background-color: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    animation: vibration 0.5s infinite;
    border-radius: 10px;
}

#finaliser-commande:hover {
    background-color: #45a049;
}

/* Animation de vibration pour le bouton "Finaliser la Commande" */
@keyframes vibration {
    0% { transform: translateX(0); }
    25% { transform: translateX(-2px); }
    50% { transform: translateX(2px); }
    75% { transform: translateX(-2px); }
    100% { transform: translateX(0); }
}

/* Styles pour le total */
.total {
    text-align: center;
    margin-top: 20px;
}

.total h2 {
    color: #333;
}


.prix {
    display: flex;
    justify-content: center; /* Aligner les prix horizontalement */
    align-items: center;
    gap: 10px; /* Espace entre les prix */
    margin-top: 10px; /* Espacement entre l'image et les prix */
}



.prix-original {
   /* text-decoration: line-through; /* Barrer le prix original */
    color: red;
    font-size: 18px;
    font-weight: bold;
}

.prix-actuel {
    color: green;
    font-size: 20px;
    font-weight: bold;
}



input {
    outline: 2px solid #007bff; /* Contour bleu */
    outline-offset: 0; /* Espacement entre l'input et le contour */
  background: linear-gradient(to right, #688dd0 15px, white 15px);
}


/* animation avant chargement des produits */
#loader {
  border: 6px solid #f3f3f3;
  border-top: 6px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
  margin: 50px auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* animation de acheter maintenant*/
 #Acheter-Maintenant  {
      display: inline-block;
      animation: fadeInOut 2s infinite;
      font-weight: bold;
    }

   @keyframes fadeInOut {
      0% { opacity: 0; }
      20% { opacity: 1; }
      80% { opacity: 1; }
      100% { opacity: 0; }
    }
    


#touslesdetails {
  margin: 10px auto;     /* centre horizontalement */
  padding: 3px;
  border: 1px solid #fffff;
  border-radius: 12px;
  background: #fffff;
  max-width: 500px;      /* largeur max sur PC */
  width: 100%;           /* occupe toute la largeur sur mobile */
  box-sizing: border-box;/* pour inclure les bordures dans la largeur */
}
